Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 701874 - net-misc/teamviewer-15.0.8397 with net-misc/teamviewer-14.7.1965:14 : file collisions in /usr/share/icons/... /opt/bin/teamviewer /opt/bin/teamviewerd etc
Summary: net-misc/teamviewer-15.0.8397 with net-misc/teamviewer-14.7.1965:14 : file co...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Maxim Koltsov
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-12-03 10:00 UTC by Jaco Kroon
Modified: 2019-12-20 14:26 UTC (History)
7 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jaco Kroon 2019-12-03 10:00:39 UTC
* Messages for package net-misc/teamviewer-15.0.8397:

 * This package will overwrite one or more files that may belong to other
 * packages (see list below). You can use a command such as `portageq
 * owners / <filename>` to identify the installed package that owns a
 * file. If portageq reports that only one package owns a file then do
 * NOT file a bug report. A bug report is only useful if it identifies at
 * least two or more packages that are known to install the same file(s).
 * If a collision occurs and you can not explain where the file came from
 * then you should simply ignore the collision since there is not enough
 * information to determine if a real problem exists. Please do NOT file
 * a bug report at https://bugs.gentoo.org/ unless you report exactly
 * which two packages install the same file(s). See
 * https://wiki.gentoo.org/wiki/Knowledge_Base:Blockers for tips on how
 * to solve the problem. And once again, please do NOT file a bug report
 * unless you have completely understood the above message.
 * 
 * Detected file collision(s):
 * 
 *      /usr/share/icons/hicolor/256x256/apps/TeamViewer.png
 *      /usr/share/icons/hicolor/16x16/apps/TeamViewer.png
 *      /usr/share/icons/hicolor/32x32/apps/TeamViewer.png
 *      /usr/share/icons/hicolor/24x24/apps/TeamViewer.png
 *      /usr/share/icons/hicolor/48x48/apps/TeamViewer.png
 *      /usr/share/dbus-1/services/com.teamviewer.TeamViewer.Desktop.service
 *      /usr/share/dbus-1/services/com.teamviewer.TeamViewer.service
 *      /usr/share/polkit-1/actions/com.teamviewer.TeamViewer.policy
 *      /lib/systemd/system/teamviewerd.service
 *      /opt/bin/teamviewerd
 *      /opt/bin/teamviewer
 * 
 * Searching all installed packages for file collisions...
 * 
 * Press Ctrl-C to Stop
 * 
 * net-misc/teamviewer-14.7.1965:14::gentoo
 *      /lib/systemd/system/teamviewerd.service
 *      /opt/bin/teamviewer
 *      /opt/bin/teamviewerd
 *      /usr/share/dbus-1/services/com.teamviewer.TeamViewer.Desktop.service
 *      /usr/share/dbus-1/services/com.teamviewer.TeamViewer.service
 *      /usr/share/icons/hicolor/16x16/apps/TeamViewer.png
 *      /usr/share/icons/hicolor/24x24/apps/TeamViewer.png
 *      /usr/share/icons/hicolor/256x256/apps/TeamViewer.png
 *      /usr/share/icons/hicolor/32x32/apps/TeamViewer.png
 *      /usr/share/icons/hicolor/48x48/apps/TeamViewer.png
 *      /usr/share/polkit-1/actions/com.teamviewer.TeamViewer.policy
 * 
 * Package 'net-misc/teamviewer-15.0.8397' NOT merged due to file
 * collisions. If necessary, refer to your elog messages for the whole
 * content of the above message.


Due to SLOT'ing it's not simply upgarding, it's trying to install alongside, which simply will not work given the current builds.

Reproducible: Always
Comment 1 Jouni Kosonen 2019-12-03 15:08:16 UTC
Also, it has this in src_install() :

>        # No slotting here, binary expects this service path
>        newinitd "${FILESDIR}"/teamviewerd14.init teamviewerd

That should be teamviewer15.init there.
Comment 2 Kobboi 2019-12-10 11:29:53 UTC
I don't get how this can be pushed, be obviously wrong, be reported immediately and still not get fixed or reverted
Comment 3 Manfred Knick 2019-12-15 09:40:09 UTC
CONFIRMED - but:

(In reply to Kobboi from comment #2)

  Unmerging v14, emerge of v15 succeeds like a charm.

  Moreover, 'Messages' reveal

    * Please note that parallel installation of multiple versions of
    * TeamViewer is currently not supported at runtime. Bug #621818

To put this into perspective:

   'Only' those are struck by sorrow
    which 'depend' upon *concurrent* installation / use, e.g.
      - for development / error hunting
      - because different customers use different versions
      - - ( does latest version always support earlier conterparts ? )


(Original error message, from comment #0)

> Due to SLOT'ing it's not simply upgarding, it's trying to install alongside,
> which simply will not work given the current builds.
Comment 4 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2019-12-20 14:26:27 UTC
I have just moved teamviewer to the slot 0 by default as this is not really possible to keep this slotted anyhow painless.